> For the complete documentation index, see [llms.txt](https://docs.xplorpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xplorpay.com/api-reference/api/merchant-onboarding/onboard-merchant/pricing-plan-and-reference.md).

# Pricing Plan and Reference

The **Pricing Plan** **API** allows you to create, manage, and apply pricing configurations for merchants during onboarding.

A pricing plan defines how a merchant is charged for payment processing. It is created based on a pricing plan template and comply with the template rules.

### Pricing template

The pricing template allows you to define the structure and constraints of pricing, including:

* Available fee types
* Required fields
* Minimum and maximum allowed values

The pricing templates can be preconfigured and made available to your business hierarchy.

### Pricing plan

Pricing plan represents the actual pricing configuration applied to a merchant.

Each pricing plan is:

* Created using a pricing plan template
* Includes fee values selected or modified from the template
* Includes fee values selected or modified from the template
* Complies with all template constraints

### Pricing plan options

Merchant Onboarding has multiple pricing template options to meet different onboarding requirements.

1. **Default pricing**

This template option has a predefined pricing plan from your business hierarchy. No additional pricing configuration is required.

2. **Custom pricing**

This template option allows you to configure merchant-specific pricing using existing pricing templates or fully customized pricing fee structures.

3. **Empower pricing**

This template options let merchants pass payment processing fees on to customers under compliant billing models.

To onboard a merchant using prebuilt secure hosted flow, see [Hosted Merchant Onboarding](https://docs.xplorpay.com/api-reference/api/merchant-onboarding/hosted-merchant-onboarding).<br>

* [Pricing Plans](/api-reference/api/merchant-onboarding/onboard-merchant/pricing-plan-and-reference/pricing-plans.md)
* [Pricing Reference](/api-reference/api/merchant-onboarding/onboard-merchant/pricing-plan-and-reference/pricing-reference.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xplorpay.com/api-reference/api/merchant-onboarding/onboard-merchant/pricing-plan-and-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
